#######################################################################
##
##  Authentication Module
## -----------------------
##
## See http://www.lighttpd.net/documentation/authentification.html
## for more info.
##

auth.backend                 = "plain"
auth.backend.plain.userfile  = "/rigol/webcontrol/config/user.conf"
#auth.backend.plain.groupfile = "/etc/lighttpd/lighttpd.group"

#auth.backend.ldap.hostname = "localhost"
#auth.backend.ldap.base-dn  = "dc=my-domain,dc=com"
#auth.backend.ldap.filter   = "(uid=$)"

auth.require               = ( "/auth/" =>
                               (
                                 "method"  => "basic",
                                 "realm"   => "Authentication for admin",
                                 "require" => "user=admin"
                               ),
                             )

##
#######################################################################
